Load libscilab instead of libscitypes. Avoid a stupid dependency.
[scilab.git] / scilab / modules / types / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) DIGITEO - 2010 - Allan CORNET
21 #
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27 #
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # This file must be used under the terms of the CeCILL.
34 # This source file is licensed as described in the file COPYING, which
35 # you should have received as part of this distribution.  The terms
36 # are also available at
37 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
38 #
39
40 ##########
41 ### Makefile included stuff
42 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
43 ##########
44
45
46 VPATH = @srcdir@
47 pkgdatadir = $(datadir)/@PACKAGE@
48 pkgincludedir = $(includedir)/@PACKAGE@
49 pkglibdir = $(libdir)/@PACKAGE@
50 pkglibexecdir = $(libexecdir)/@PACKAGE@
51 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
52 install_sh_DATA = $(install_sh) -c -m 644
53 install_sh_PROGRAM = $(install_sh) -c
54 install_sh_SCRIPT = $(install_sh) -c
55 INSTALL_HEADER = $(INSTALL_DATA)
56 transform = $(program_transform_name)
57 NORMAL_INSTALL = :
58 PRE_INSTALL = :
59 POST_INSTALL = :
60 NORMAL_UNINSTALL = :
61 PRE_UNINSTALL = :
62 POST_UNINSTALL = :
63 build_triplet = @build@
64 host_triplet = @host@
65 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
66         $(top_srcdir)/Makefile.incl.am
67 @NEED_JAVA_TRUE@am__append_1 = java
68 @GUI_TRUE@am__append_2 = libscitypes.la
69 subdir = modules/types
70 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
71 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
72         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
73         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
74         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
75         $(top_srcdir)/m4/intel_compiler.m4 \
76         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
77         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
78         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
79         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
80         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
81         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
82         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
83         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
84         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
85         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
86         $(top_srcdir)/configure.ac
87 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
88         $(ACLOCAL_M4)
89 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
90 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
91 CONFIG_CLEAN_FILES =
92 CONFIG_CLEAN_VPATH_FILES =
93 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
94 am__vpath_adj = case $$p in \
95     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
96     *) f=$$p;; \
97   esac;
98 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
99 am__install_max = 40
100 am__nobase_strip_setup = \
101   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
102 am__nobase_strip = \
103   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
104 am__nobase_list = $(am__nobase_strip_setup); \
105   for p in $$list; do echo "$$p $$p"; done | \
106   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
107   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
108     if (++n[$$2] == $(am__install_max)) \
109       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
110     END { for (dir in files) print dir, files[dir] }'
111 am__base_list = \
112   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
113   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
114 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
115         "$(DESTDIR)$(libscitypes_la_etcdir)" \
116         "$(DESTDIR)$(libscitypes_la_rootdir)" \
117         "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)"
118 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
119 libscitypes_algo_la_LIBADD =
120 am__objects_1 = libscitypes_algo_la-getScilabVariable_wrap.lo
121 am__objects_2 =
122 am__objects_3 = libscitypes_algo_la-ScilabToJava.lo \
123         libscitypes_algo_la-ScilabVariables.lo \
124         libscitypes_algo_la-ScilabVariablesRefresh.lo \
125         libscitypes_algo_la-ScilabPolynomialToJava.lo
126 am_libscitypes_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
127         $(am__objects_3)
128 libscitypes_algo_la_OBJECTS = $(am_libscitypes_algo_la_OBJECTS)
129 @GUI_TRUE@am_libscitypes_algo_la_rpath =
130 libscitypes_disable_la_LIBADD =
131 am_libscitypes_disable_la_OBJECTS = $(am__objects_2)
132 libscitypes_disable_la_OBJECTS = $(am_libscitypes_disable_la_OBJECTS)
133 libscitypes_disable_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
134         $(LIBTOOLFLAGS) --mode=link $(CCLD) \
135         $(libscitypes_disable_la_CFLAGS) $(CFLAGS) \
136         $(libscitypes_disable_la_LDFLAGS) $(LDFLAGS) -o $@
137 libscitypes_la_DEPENDENCIES =  \
138         $(top_builddir)/modules/commons/libscicommons.la \
139         $(top_builddir)/modules/jvm/libscijvm.la
140 am__objects_4 = libscitypes_la-getScilabVariable_wrap.lo
141 am__objects_5 = libscitypes_la-ScilabToJava.lo \
142         libscitypes_la-ScilabVariables.lo \
143         libscitypes_la-ScilabVariablesRefresh.lo \
144         libscitypes_la-ScilabPolynomialToJava.lo
145 am_libscitypes_la_OBJECTS = $(am__objects_4) $(am__objects_2) \
146         $(am__objects_5)
147 libscitypes_la_OBJECTS = $(am_libscitypes_la_OBJECTS)
148 libscitypes_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
149         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
150         $(CXXFLAGS) $(libscitypes_la_LDFLAGS) $(LDFLAGS) -o $@
151 @GUI_TRUE@am_libscitypes_la_rpath = -rpath $(pkglibdir)
152 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
153 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
154 am__depfiles_maybe = depfiles
155 am__mv = mv -f
156 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
157         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
158 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
159         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
160         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
161 CCLD = $(CC)
162 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
163         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
164         $(LDFLAGS) -o $@
165 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
166         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
167 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
168         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
169         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
170 CXXLD = $(CXX)
171 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
172         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
173         $(LDFLAGS) -o $@
174 SOURCES = $(libscitypes_algo_la_SOURCES) \
175         $(libscitypes_disable_la_SOURCES) $(libscitypes_la_SOURCES)
176 DIST_SOURCES = $(libscitypes_algo_la_SOURCES) \
177         $(libscitypes_disable_la_SOURCES) $(libscitypes_la_SOURCES)
178 DATA = $(libscitypes_la_etc_DATA) $(libscitypes_la_root_DATA) \
179         $(libscitypes_la_sci_gateway_DATA)
180 ETAGS = etags
181 CTAGS = ctags
182 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
183 ACLOCAL = @ACLOCAL@
184 ALL_LINGUAS = @ALL_LINGUAS@
185 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
186 AMTAR = @AMTAR@
187 ANT = @ANT@
188 ANTLR = @ANTLR@
189 AR = @AR@
190 ARPACK_LIBS = @ARPACK_LIBS@
191 AUTOCONF = @AUTOCONF@
192 AUTOHEADER = @AUTOHEADER@
193 AUTOMAKE = @AUTOMAKE@
194 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
195 AWK = @AWK@
196 BATIK = @BATIK@
197 BLAS_LIBS = @BLAS_LIBS@
198 BSH = @BSH@
199 CC = @CC@
200 CCACHE = @CCACHE@
201 CCDEPMODE = @CCDEPMODE@
202 CFLAGS = @CFLAGS@
203 CHECKSTYLE = @CHECKSTYLE@
204 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
205 COMMONS_IO = @COMMONS_IO@
206 COMMONS_LOGGING = @COMMONS_LOGGING@
207 CPP = @CPP@
208 CPPFLAGS = @CPPFLAGS@
209 CXX = @CXX@
210 CXXCPP = @CXXCPP@
211 CXXDEPMODE = @CXXDEPMODE@
212 CXXFLAGS = @CXXFLAGS@
213 CYGPATH_W = @CYGPATH_W@
214 DEFS = @DEFS@
215 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
216 DEPDIR = @DEPDIR@
217 DOCBOOK_ROOT = @DOCBOOK_ROOT@
218 DSYMUTIL = @DSYMUTIL@
219 DUMPBIN = @DUMPBIN@
220 ECHO_C = @ECHO_C@
221 ECHO_N = @ECHO_N@
222 ECHO_T = @ECHO_T@
223 EGREP = @EGREP@
224 EXEEXT = @EXEEXT@
225 F77 = @F77@
226 FFLAGS = @FFLAGS@
227 FFTW3_LIB = @FFTW3_LIB@
228 FFTW_ENABLE = @FFTW_ENABLE@
229 FGREP = @FGREP@
230 FLEXDOCK = @FLEXDOCK@
231 FLIBS = @FLIBS@
232 FOP = @FOP@
233 GENHTML = @GENHTML@
234 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
235 GIWS_BIN = @GIWS_BIN@
236 GLUEGEN_RT = @GLUEGEN_RT@
237 GMSGFMT = @GMSGFMT@
238 GMSGFMT_015 = @GMSGFMT_015@
239 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
240 GREP = @GREP@
241 GUI_ENABLE = @GUI_ENABLE@
242 HDF5_CFLAGS = @HDF5_CFLAGS@
243 HDF5_ENABLE = @HDF5_ENABLE@
244 HDF5_LIBS = @HDF5_LIBS@
245 HELP_ENABLE = @HELP_ENABLE@
246 INSTALL = @INSTALL@
247 INSTALL_DATA = @INSTALL_DATA@
248 INSTALL_PROGRAM = @INSTALL_PROGRAM@
249 INSTALL_SCRIPT = @INSTALL_SCRIPT@
250 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
251 INTLLIBS = @INTLLIBS@
252 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
253 JAR = @JAR@
254 JAVA = @JAVA@
255 JAVAC = @JAVAC@
256 JAVAC_DEBUG = @JAVAC_DEBUG@
257 JAVADOC = @JAVADOC@
258 JAVAH = @JAVAH@
259 JAVASCI_ENABLE = @JAVASCI_ENABLE@
260 JAVA_ENABLE = @JAVA_ENABLE@
261 JAVA_G = @JAVA_G@
262 JAVA_HOME = @JAVA_HOME@
263 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
264 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
265 JCOMMANDER = @JCOMMANDER@
266 JDB = @JDB@
267 JEUCLID_CORE = @JEUCLID_CORE@
268 JGRAPHX = @JGRAPHX@
269 JHALL = @JHALL@
270 JHDF5 = @JHDF5@
271 JLATEXMATH = @JLATEXMATH@
272 JLATEXMATH_FOP = @JLATEXMATH_FOP@
273 JOGL = @JOGL@
274 JROSETTA_API = @JROSETTA_API@
275 JROSETTA_ENGINE = @JROSETTA_ENGINE@
276 JUNIT = @JUNIT@
277 LAPACK_LIBS = @LAPACK_LIBS@
278 LCOV = @LCOV@
279 LD = @LD@
280 LDFLAGS = @LDFLAGS@
281 LIBICONV = @LIBICONV@
282 LIBINTL = @LIBINTL@
283 LIBM = @LIBM@
284 LIBOBJS = @LIBOBJS@
285 LIBS = @LIBS@
286 LIBTOOL = @LIBTOOL@
287 LIPO = @LIPO@
288 LN_S = @LN_S@
289 LOGGING_LEVEL = @LOGGING_LEVEL@
290 LOOKS = @LOOKS@
291 LTLIBICONV = @LTLIBICONV@
292 LTLIBINTL = @LTLIBINTL@
293 LTLIBOBJS = @LTLIBOBJS@
294 MAINT = @MAINT@
295 MAKEINFO = @MAKEINFO@
296 MATIO_CFLAGS = @MATIO_CFLAGS@
297 MATIO_ENABLE = @MATIO_ENABLE@
298 MATIO_LIBS = @MATIO_LIBS@
299 MKDIR_P = @MKDIR_P@
300 MSGCAT = @MSGCAT@
301 MSGFMT = @MSGFMT@
302 MSGFMT_015 = @MSGFMT_015@
303 MSGMERGE = @MSGMERGE@
304 NM = @NM@
305 NMEDIT = @NMEDIT@
306 OBJDUMP = @OBJDUMP@
307 OBJEXT = @OBJEXT@
308 OCAMLC = @OCAMLC@
309 OCAMLDEP = @OCAMLDEP@
310 OCAMLLEX = @OCAMLLEX@
311 OCAMLOPT = @OCAMLOPT@
312 OCAMLYACC = @OCAMLYACC@
313 OPENMP_CFLAGS = @OPENMP_CFLAGS@
314 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
315 OPENMP_ENABLE = @OPENMP_ENABLE@
316 OPENMP_LIBS = @OPENMP_LIBS@
317 OTOOL = @OTOOL@
318 OTOOL64 = @OTOOL64@
319 PACKAGE = @PACKAGE@
320 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
321 PACKAGE_NAME = @PACKAGE_NAME@
322 PACKAGE_STRING = @PACKAGE_STRING@
323 PACKAGE_TARNAME = @PACKAGE_TARNAME@
324 PACKAGE_URL = @PACKAGE_URL@
325 PACKAGE_VERSION = @PACKAGE_VERSION@
326 PATH_SEPARATOR = @PATH_SEPARATOR@
327 PCRE_CFLAGS = @PCRE_CFLAGS@
328 PCRE_CONFIG = @PCRE_CONFIG@
329 PCRE_LIBS = @PCRE_LIBS@
330 PCRE_VERSION = @PCRE_VERSION@
331 PKG_CONFIG = @PKG_CONFIG@
332 POSUB = @POSUB@
333 POW_LIB = @POW_LIB@
334 PYTHON = @PYTHON@
335 QDOX = @QDOX@
336 RANLIB = @RANLIB@
337 RELOCATABLE = @RELOCATABLE@
338 RT_LIB = @RT_LIB@
339 SAXON = @SAXON@
340 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
341 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
342 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
343 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
344 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
345 SED = @SED@
346 SET_MAKE = @SET_MAKE@
347 SET_RELOCATABLE = @SET_RELOCATABLE@
348 SHELL = @SHELL@
349 SKINLF = @SKINLF@
350 SPLINT = @SPLINT@
351 STRIP = @STRIP@
352 SWIG_BIN = @SWIG_BIN@
353 SWIG_JAVA = @SWIG_JAVA@
354 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
355 TCLTK_LIBS = @TCLTK_LIBS@
356 TCL_INC_PATH = @TCL_INC_PATH@
357 TESTNG = @TESTNG@
358 TK_INC_PATH = @TK_INC_PATH@
359 UMFPACK_ENABLE = @UMFPACK_ENABLE@
360 UMFPACK_LIB = @UMFPACK_LIB@
361 USE_NLS = @USE_NLS@
362 VERSION = @VERSION@
363 WITH_OCAML = @WITH_OCAML@
364 WITH_TKSCI = @WITH_TKSCI@
365 XCOS_ENABLE = @XCOS_ENABLE@
366 XGETTEXT = @XGETTEXT@
367 XGETTEXT_015 = @XGETTEXT_015@
368 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
369 XMKMF = @XMKMF@
370 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
371 XML_APIS_EXT = @XML_APIS_EXT@
372 XML_CONFIG = @XML_CONFIG@
373 XML_FLAGS = @XML_FLAGS@
374 XML_LIBS = @XML_LIBS@
375 XML_VERSION = @XML_VERSION@
376 X_CFLAGS = @X_CFLAGS@
377 X_EXTRA_LIBS = @X_EXTRA_LIBS@
378 X_LIBS = @X_LIBS@
379 X_PRE_LIBS = @X_PRE_LIBS@
380 abs_builddir = @abs_builddir@
381 abs_srcdir = @abs_srcdir@
382 abs_top_builddir = @abs_top_builddir@
383 abs_top_srcdir = @abs_top_srcdir@
384 ac_ct_CC = @ac_ct_CC@
385 ac_ct_CXX = @ac_ct_CXX@
386 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
387 ac_ct_F77 = @ac_ct_F77@
388 am__include = @am__include@
389 am__leading_dot = @am__leading_dot@
390 am__quote = @am__quote@
391 am__tar = @am__tar@
392 am__untar = @am__untar@
393 bindir = @bindir@
394 build = @build@
395 build_alias = @build_alias@
396 build_cpu = @build_cpu@
397 build_os = @build_os@
398 build_vendor = @build_vendor@
399 builddir = @builddir@
400 cxx_present = @cxx_present@
401 datadir = @datadir@
402 datarootdir = @datarootdir@
403 docdir = @docdir@
404 dvidir = @dvidir@
405 exec_prefix = @exec_prefix@
406 host = @host@
407 host_alias = @host_alias@
408 host_cpu = @host_cpu@
409 host_os = @host_os@
410 host_vendor = @host_vendor@
411 htmldir = @htmldir@
412 includedir = @includedir@
413 infodir = @infodir@
414 install_sh = @install_sh@
415 libdir = @libdir@
416 libexecdir = @libexecdir@
417 localedir = @localedir@
418 localstatedir = @localstatedir@
419 mandir = @mandir@
420 mkdir_p = @mkdir_p@
421 oldincludedir = @oldincludedir@
422 pdfdir = @pdfdir@
423 prefix = @prefix@
424 program_transform_name = @program_transform_name@
425 psdir = @psdir@
426 sbindir = @sbindir@
427 sharedstatedir = @sharedstatedir@
428 srcdir = @srcdir@
429 sysconfdir = @sysconfdir@
430 target_alias = @target_alias@
431 top_build_prefix = @top_build_prefix@
432 top_builddir = @top_builddir@
433 top_srcdir = @top_srcdir@
434
435 #### Target ######
436 modulename = types
437
438 #### types : Conf files ####
439 libscitypes_la_rootdir = $(mydatadir)
440 libscitypes_la_root_DATA = license.txt 
441
442 #### types : init scripts ####
443 libscitypes_la_etcdir = $(mydatadir)/etc
444 libscitypes_la_etc_DATA = etc/types.quit \
445                           etc/types.start
446
447
448 # Where all the Scilab stuff is installed (macros, help, ...)
449 mydatadir = $(pkgdatadir)/modules/$(modulename)
450
451 # splint options
452 SPLINT_OPTIONS = -weak -booltype BOOL
453
454 ########################### JAVA ######################################
455 #### We are delegating java compilation to ant... Thanks to that
456 #### the procedure will be the same with Microsoft Windows (C)
457 #### and Linux/Unix
458 #######################################################################
459 TARGETS_ALL = $(am__append_1)
460
461 ################ MACROS ######################
462 # Rule to build a macro
463 # NOT USED  AT THE MOMENT
464 SUFFIXES = .sci 
465
466 ########### INSTALL DOCUMENTATION ###################
467
468 # Install documentation files into the right target
469 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
470 # automake needs the html files to be present which is not the case when
471 # we are building Scilab
472
473 # Where it should be installed
474 pkgdocdir = $(mydatadir)
475
476 # What is the mask of the help source
477 DOCMASKXML = *.xml
478
479 # What is the mask of the MathML sources
480 DOCMASKMML = *.mml
481
482 ########### INSTALL DATA ###################
483 # Install macros, help & demos
484 # Where it should be installed
485 pkgmacrosdir = $(mydatadir)
486 # Which directory we process
487 MACRODIRS = macros/
488 # Mask of the Scilab sources macros
489 MACROMASK = *.sci
490 # Mask of the Scilab executable sources macros
491 MACROBUILDMASK = *.sce
492 # Mask of the Scilab compiled macros
493 MACROBINMASK = *.bin
494 # List of the standard directory for tests
495 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
496 # Where the demos should be installed
497 pkgdemosdir = $(mydatadir)
498 # List of the standard directory for demos
499 DEMOS_DIR = demos
500 # List of the standard directory for examples
501 EXAMPLES_DIR = examples
502 # Where to export JAVA archives (.jar)
503 JARDIR = jar/
504 # JAR files mask
505 JARMASK = *.jar
506 # Chapter file 
507 HELP_CHAPTERDIR = help/
508 HELP_CHAPTERFILE = addchapter.sce
509 HELP_CHAPTERLANG = en_US fr_FR pt_BR
510 TYPES_JNI_SOURCES = 
511 TYPES_C_SOURCES = src/jni/getScilabVariable_wrap.c
512 TYPES_CPP_SOURCES = src/cpp/ScilabToJava.cpp \
513                     src/jni/ScilabVariables.cpp \
514                     src/jni/ScilabVariablesRefresh.cpp \
515                     src/jni/ScilabPolynomialToJava.cpp
516
517 GIWS_WRAPPERS = src/jni/ScilabVariables.giws.xml
518 @GIWS_TRUE@BUILT_SOURCES = giws giws-exception
519 @SWIG_TRUE@BUILT_SOURCES = swig
520
521 #GATEWAY_C_SOURCES =
522
523 #GATEWAY_CPP_SOURCES =
524 libscitypes_la_CFLAGS = $(JAVA_JNI_INCLUDE) \
525                         -I$(srcdir)/includes
526
527 libscitypes_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
528                            -I$(srcdir)/src/jni \
529                            -I$(srcdir)/src/cpp \
530                            -I$(srcdir)/includes \
531                            -I$(top_srcdir)/modules/commons/src/jni/ \
532                            -I$(top_srcdir)/modules/jvm/includes/ \
533                            -I$(top_srcdir)/modules/output_stream/includes \
534                            -I$(top_srcdir)/modules/api_scilab/includes
535
536
537 # Without the types module
538 libscitypes_disable_la_CFLAGS = 
539 TYPES_DISABLE_C_SOURCES = 
540 libscitypes_disable_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)
541 libscitypes_disable_la_SOURCES = $(TYPES_DISABLE_C_SOURCES)
542 libscitypes_algo_la_SOURCES = $(TYPES_C_SOURCES) $(TYPES_JNI_SOURCES) $(TYPES_CPP_SOURCES)
543 libscitypes_algo_la_CFLAGS = $(libscitypes_la_CFLAGS)
544 libscitypes_algo_la_CPPFLAGS = $(libscitypes_la_CPPFLAGS)
545 libscitypes_la_LIBADD = $(top_builddir)/modules/commons/libscicommons.la \
546                         $(top_builddir)/modules/jvm/libscijvm.la
547
548 pkglib_LTLIBRARIES = libscitypes-disable.la $(am__append_2)
549 @GUI_TRUE@noinst_LTLIBRARIES = libscitypes-algo.la
550 libscitypes_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)  $(X_LIBS) $(X_EXTRA_LIBS)
551 libscitypes_la_SOURCES = $(TYPES_C_SOURCES) $(TYPES_JNI_SOURCES) $(TYPES_CPP_SOURCES)
552 #libscitypes_algo_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
553
554 # For the code check (splint)
555 CHECK_SRC = $(TYPES_C_SOURCES) $(GATEWAY_C_SOURCES)
556 INCLUDE_FLAGS = $(libscitypes_la_CFLAGS)
557
558 #### SWIG Declaration ####
559 SWIG_WRAPPERS = src/jni/sci_types.i \
560                 src/jni/getScilabVariable.i
561
562
563 #### types : gateway declaration ####
564 libscitypes_la_sci_gatewaydir = $(mydatadir)/sci_gateway
565 libscitypes_la_sci_gateway_DATA = 
566 @NEED_JAVA_TRUE@USEANT = 1
567 all: $(BUILT_SOURCES)
568         $(MAKE) $(AM_MAKEFLAGS) all-am
569
570 .SUFFIXES:
571 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
572 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
573         @for dep in $?; do \
574           case '$(am__configure_deps)' in \
575             *$$dep*) \
576               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
577                 && { if test -f $@; then exit 0; else break; fi; }; \
578               exit 1;; \
579           esac; \
580         done; \
581         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/types/Makefile'; \
582         $(am__cd) $(top_srcdir) && \
583           $(AUTOMAKE) --foreign modules/types/Makefile
584 .PRECIOUS: Makefile
585 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
586         @case '$?' in \
587           *config.status*) \
588             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
589           *) \
590             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
591             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
592         esac;
593
594 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
595         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
596
597 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
598         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
599 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
600         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
601 $(am__aclocal_m4_deps):
602
603 clean-noinstLTLIBRARIES:
604         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
605         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
606           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
607           test "$$dir" != "$$p" || dir=.; \
608           echo "rm -f \"$${dir}/so_locations\""; \
609           rm -f "$${dir}/so_locations"; \
610         done
611 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
612         @$(NORMAL_INSTALL)
613         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
614         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
615         list2=; for p in $$list; do \
616           if test -f $$p; then \
617             list2="$$list2 $$p"; \
618           else :; fi; \
619         done; \
620         test -z "$$list2" || { \
621           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
622           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
623         }
624
625 uninstall-pkglibLTLIBRARIES:
626         @$(NORMAL_UNINSTALL)
627         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
628         for p in $$list; do \
629           $(am__strip_dir) \
630           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
631           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
632         done
633
634 clean-pkglibLTLIBRARIES:
635         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
636         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
637           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
638           test "$$dir" != "$$p" || dir=.; \
639           echo "rm -f \"$${dir}/so_locations\""; \
640           rm -f "$${dir}/so_locations"; \
641         done
642 libscitypes-algo.la: $(libscitypes_algo_la_OBJECTS) $(libscitypes_algo_la_DEPENDENCIES) 
643         $(CXXLINK) $(am_libscitypes_algo_la_rpath) $(libscitypes_algo_la_OBJECTS) $(libscitypes_algo_la_LIBADD) $(LIBS)
644 libscitypes-disable.la: $(libscitypes_disable_la_OBJECTS) $(libscitypes_disable_la_DEPENDENCIES) 
645         $(libscitypes_disable_la_LINK) -rpath $(pkglibdir) $(libscitypes_disable_la_OBJECTS) $(libscitypes_disable_la_LIBADD) $(LIBS)
646 libscitypes.la: $(libscitypes_la_OBJECTS) $(libscitypes_la_DEPENDENCIES) 
647         $(libscitypes_la_LINK) $(am_libscitypes_la_rpath) $(libscitypes_la_OBJECTS) $(libscitypes_la_LIBADD) $(LIBS)
648
649 mostlyclean-compile:
650         -rm -f *.$(OBJEXT)
651
652 distclean-compile:
653         -rm -f *.tab.c
654
655 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitypes_algo_la-ScilabPolynomialToJava.Plo@am__quote@
656 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitypes_algo_la-ScilabToJava.Plo@am__quote@
657 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitypes_algo_la-ScilabVariables.Plo@am__quote@
658 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitypes_algo_la-ScilabVariablesRefresh.Plo@am__quote@
659 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitypes_algo_la-getScilabVariable_wrap.Plo@am__quote@
660 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitypes_la-ScilabPolynomialToJava.Plo@am__quote@
661 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitypes_la-ScilabToJava.Plo@am__quote@
662 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitypes_la-ScilabVariables.Plo@am__quote@
663 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitypes_la-ScilabVariablesRefresh.Plo@am__quote@
664 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitypes_la-getScilabVariable_wrap.Plo@am__quote@
665
666 .c.o:
667 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
668 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
669 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
670 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
671 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
672
673 .c.obj:
674 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
675 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
677 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
678 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
679
680 .c.lo:
681 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
682 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
683 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
685 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
686
687 libscitypes_algo_la-getScilabVariable_wrap.lo: src/jni/getScilabVariable_wrap.c
688 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscitypes_algo_la_CFLAGS) $(CFLAGS) -MT libscitypes_algo_la-getScilabVariable_wrap.lo -MD -MP -MF $(DEPDIR)/libscitypes_algo_la-getScilabVariable_wrap.Tpo -c -o libscitypes_algo_la-getScilabVariable_wrap.lo `test -f 'src/jni/getScilabVariable_wrap.c' || echo '$(srcdir)/'`src/jni/getScilabVariable_wrap.c
689 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscitypes_algo_la-getScilabVariable_wrap.Tpo $(DEPDIR)/libscitypes_algo_la-getScilabVariable_wrap.Plo
690 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/jni/getScilabVariable_wrap.c' object='libscitypes_algo_la-getScilabVariable_wrap.lo' libtool=yes @AMDEPBACKSLASH@
691 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
692 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscitypes_algo_la_CFLAGS) $(CFLAGS) -c -o libscitypes_algo_la-getScilabVariable_wrap.lo `test -f 'src/jni/getScilabVariable_wrap.c' || echo '$(srcdir)/'`src/jni/getScilabVariable_wrap.c
693
694 libscitypes_la-getScilabVariable_wrap.lo: src/jni/getScilabVariable_wrap.c
695 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_la_CPPFLAGS) $(CPPFLAGS) $(libscitypes_la_CFLAGS) $(CFLAGS) -MT libscitypes_la-getScilabVariable_wrap.lo -MD -MP -MF $(DEPDIR)/libscitypes_la-getScilabVariable_wrap.Tpo -c -o libscitypes_la-getScilabVariable_wrap.lo `test -f 'src/jni/getScilabVariable_wrap.c' || echo '$(srcdir)/'`src/jni/getScilabVariable_wrap.c
696 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscitypes_la-getScilabVariable_wrap.Tpo $(DEPDIR)/libscitypes_la-getScilabVariable_wrap.Plo
697 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/jni/getScilabVariable_wrap.c' object='libscitypes_la-getScilabVariable_wrap.lo' libtool=yes @AMDEPBACKSLASH@
698 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
699 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_la_CPPFLAGS) $(CPPFLAGS) $(libscitypes_la_CFLAGS) $(CFLAGS) -c -o libscitypes_la-getScilabVariable_wrap.lo `test -f 'src/jni/getScilabVariable_wrap.c' || echo '$(srcdir)/'`src/jni/getScilabVariable_wrap.c
700
701 .cpp.o:
702 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
703 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
704 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
705 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
706 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
707
708 .cpp.obj:
709 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
710 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
711 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
712 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
713 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
714
715 .cpp.lo:
716 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
717 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
718 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
719 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
720 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
721
722 libscitypes_algo_la-ScilabToJava.lo: src/cpp/ScilabToJava.cpp
723 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscitypes_algo_la-ScilabToJava.lo -MD -MP -MF $(DEPDIR)/libscitypes_algo_la-ScilabToJava.Tpo -c -o libscitypes_algo_la-ScilabToJava.lo `test -f 'src/cpp/ScilabToJava.cpp' || echo '$(srcdir)/'`src/cpp/ScilabToJava.cpp
724 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscitypes_algo_la-ScilabToJava.Tpo $(DEPDIR)/libscitypes_algo_la-ScilabToJava.Plo
725 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/ScilabToJava.cpp' object='libscitypes_algo_la-ScilabToJava.lo' libtool=yes @AMDEPBACKSLASH@
726 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
727 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscitypes_algo_la-ScilabToJava.lo `test -f 'src/cpp/ScilabToJava.cpp' || echo '$(srcdir)/'`src/cpp/ScilabToJava.cpp
728
729 libscitypes_algo_la-ScilabVariables.lo: src/jni/ScilabVariables.cpp
730 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscitypes_algo_la-ScilabVariables.lo -MD -MP -MF $(DEPDIR)/libscitypes_algo_la-ScilabVariables.Tpo -c -o libscitypes_algo_la-ScilabVariables.lo `test -f 'src/jni/ScilabVariables.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariables.cpp
731 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscitypes_algo_la-ScilabVariables.Tpo $(DEPDIR)/libscitypes_algo_la-ScilabVariables.Plo
732 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/ScilabVariables.cpp' object='libscitypes_algo_la-ScilabVariables.lo' libtool=yes @AMDEPBACKSLASH@
733 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
734 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscitypes_algo_la-ScilabVariables.lo `test -f 'src/jni/ScilabVariables.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariables.cpp
735
736 libscitypes_algo_la-ScilabVariablesRefresh.lo: src/jni/ScilabVariablesRefresh.cpp
737 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscitypes_algo_la-ScilabVariablesRefresh.lo -MD -MP -MF $(DEPDIR)/libscitypes_algo_la-ScilabVariablesRefresh.Tpo -c -o libscitypes_algo_la-ScilabVariablesRefresh.lo `test -f 'src/jni/ScilabVariablesRefresh.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariablesRefresh.cpp
738 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscitypes_algo_la-ScilabVariablesRefresh.Tpo $(DEPDIR)/libscitypes_algo_la-ScilabVariablesRefresh.Plo
739 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/ScilabVariablesRefresh.cpp' object='libscitypes_algo_la-ScilabVariablesRefresh.lo' libtool=yes @AMDEPBACKSLASH@
740 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
741 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscitypes_algo_la-ScilabVariablesRefresh.lo `test -f 'src/jni/ScilabVariablesRefresh.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariablesRefresh.cpp
742
743 libscitypes_algo_la-ScilabPolynomialToJava.lo: src/jni/ScilabPolynomialToJava.cpp
744 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscitypes_algo_la-ScilabPolynomialToJava.lo -MD -MP -MF $(DEPDIR)/libscitypes_algo_la-ScilabPolynomialToJava.Tpo -c -o libscitypes_algo_la-ScilabPolynomialToJava.lo `test -f 'src/jni/ScilabPolynomialToJava.cpp' || echo '$(srcdir)/'`src/jni/ScilabPolynomialToJava.cpp
745 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscitypes_algo_la-ScilabPolynomialToJava.Tpo $(DEPDIR)/libscitypes_algo_la-ScilabPolynomialToJava.Plo
746 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/ScilabPolynomialToJava.cpp' object='libscitypes_algo_la-ScilabPolynomialToJava.lo' libtool=yes @AMDEPBACKSLASH@
747 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
748 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscitypes_algo_la-ScilabPolynomialToJava.lo `test -f 'src/jni/ScilabPolynomialToJava.cpp' || echo '$(srcdir)/'`src/jni/ScilabPolynomialToJava.cpp
749
750 libscitypes_la-ScilabToJava.lo: src/cpp/ScilabToJava.cpp
751 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscitypes_la-ScilabToJava.lo -MD -MP -MF $(DEPDIR)/libscitypes_la-ScilabToJava.Tpo -c -o libscitypes_la-ScilabToJava.lo `test -f 'src/cpp/ScilabToJava.cpp' || echo '$(srcdir)/'`src/cpp/ScilabToJava.cpp
752 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscitypes_la-ScilabToJava.Tpo $(DEPDIR)/libscitypes_la-ScilabToJava.Plo
753 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/ScilabToJava.cpp' object='libscitypes_la-ScilabToJava.lo' libtool=yes @AMDEPBACKSLASH@
754 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
755 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscitypes_la-ScilabToJava.lo `test -f 'src/cpp/ScilabToJava.cpp' || echo '$(srcdir)/'`src/cpp/ScilabToJava.cpp
756
757 libscitypes_la-ScilabVariables.lo: src/jni/ScilabVariables.cpp
758 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscitypes_la-ScilabVariables.lo -MD -MP -MF $(DEPDIR)/libscitypes_la-ScilabVariables.Tpo -c -o libscitypes_la-ScilabVariables.lo `test -f 'src/jni/ScilabVariables.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariables.cpp
759 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscitypes_la-ScilabVariables.Tpo $(DEPDIR)/libscitypes_la-ScilabVariables.Plo
760 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/ScilabVariables.cpp' object='libscitypes_la-ScilabVariables.lo' libtool=yes @AMDEPBACKSLASH@
761 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
762 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscitypes_la-ScilabVariables.lo `test -f 'src/jni/ScilabVariables.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariables.cpp
763
764 libscitypes_la-ScilabVariablesRefresh.lo: src/jni/ScilabVariablesRefresh.cpp
765 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscitypes_la-ScilabVariablesRefresh.lo -MD -MP -MF $(DEPDIR)/libscitypes_la-ScilabVariablesRefresh.Tpo -c -o libscitypes_la-ScilabVariablesRefresh.lo `test -f 'src/jni/ScilabVariablesRefresh.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariablesRefresh.cpp
766 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscitypes_la-ScilabVariablesRefresh.Tpo $(DEPDIR)/libscitypes_la-ScilabVariablesRefresh.Plo
767 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/ScilabVariablesRefresh.cpp' object='libscitypes_la-ScilabVariablesRefresh.lo' libtool=yes @AMDEPBACKSLASH@
768 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
769 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscitypes_la-ScilabVariablesRefresh.lo `test -f 'src/jni/ScilabVariablesRefresh.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariablesRefresh.cpp
770
771 libscitypes_la-ScilabPolynomialToJava.lo: src/jni/ScilabPolynomialToJava.cpp
772 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscitypes_la-ScilabPolynomialToJava.lo -MD -MP -MF $(DEPDIR)/libscitypes_la-ScilabPolynomialToJava.Tpo -c -o libscitypes_la-ScilabPolynomialToJava.lo `test -f 'src/jni/ScilabPolynomialToJava.cpp' || echo '$(srcdir)/'`src/jni/ScilabPolynomialToJava.cpp
773 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscitypes_la-ScilabPolynomialToJava.Tpo $(DEPDIR)/libscitypes_la-ScilabPolynomialToJava.Plo
774 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/ScilabPolynomialToJava.cpp' object='libscitypes_la-ScilabPolynomialToJava.lo' libtool=yes @AMDEPBACKSLASH@
775 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
776 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscitypes_la-ScilabPolynomialToJava.lo `test -f 'src/jni/ScilabPolynomialToJava.cpp' || echo '$(srcdir)/'`src/jni/ScilabPolynomialToJava.cpp
777
778 mostlyclean-libtool:
779         -rm -f *.lo
780
781 clean-libtool:
782         -rm -rf .libs _libs
783 install-libscitypes_la_etcDATA: $(libscitypes_la_etc_DATA)
784         @$(NORMAL_INSTALL)
785         test -z "$(libscitypes_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscitypes_la_etcdir)"
786         @list='$(libscitypes_la_etc_DATA)'; test -n "$(libscitypes_la_etcdir)" || list=; \
787         for p in $$list; do \
788           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
789           echo "$$d$$p"; \
790         done | $(am__base_list) | \
791         while read files; do \
792           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitypes_la_etcdir)'"; \
793           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitypes_la_etcdir)" || exit $$?; \
794         done
795
796 uninstall-libscitypes_la_etcDATA:
797         @$(NORMAL_UNINSTALL)
798         @list='$(libscitypes_la_etc_DATA)'; test -n "$(libscitypes_la_etcdir)" || list=; \
799         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
800         test -n "$$files" || exit 0; \
801         echo " ( cd '$(DESTDIR)$(libscitypes_la_etcdir)' && rm -f" $$files ")"; \
802         cd "$(DESTDIR)$(libscitypes_la_etcdir)" && rm -f $$files
803 install-libscitypes_la_rootDATA: $(libscitypes_la_root_DATA)
804         @$(NORMAL_INSTALL)
805         test -z "$(libscitypes_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscitypes_la_rootdir)"
806         @list='$(libscitypes_la_root_DATA)'; test -n "$(libscitypes_la_rootdir)" || list=; \
807         for p in $$list; do \
808           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
809           echo "$$d$$p"; \
810         done | $(am__base_list) | \
811         while read files; do \
812           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitypes_la_rootdir)'"; \
813           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitypes_la_rootdir)" || exit $$?; \
814         done
815
816 uninstall-libscitypes_la_rootDATA:
817         @$(NORMAL_UNINSTALL)
818         @list='$(libscitypes_la_root_DATA)'; test -n "$(libscitypes_la_rootdir)" || list=; \
819         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
820         test -n "$$files" || exit 0; \
821         echo " ( cd '$(DESTDIR)$(libscitypes_la_rootdir)' && rm -f" $$files ")"; \
822         cd "$(DESTDIR)$(libscitypes_la_rootdir)" && rm -f $$files
823 install-libscitypes_la_sci_gatewayDATA: $(libscitypes_la_sci_gateway_DATA)
824         @$(NORMAL_INSTALL)
825         test -z "$(libscitypes_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)"
826         @list='$(libscitypes_la_sci_gateway_DATA)'; test -n "$(libscitypes_la_sci_gatewaydir)" || list=; \
827         for p in $$list; do \
828           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
829           echo "$$d$$p"; \
830         done | $(am__base_list) | \
831         while read files; do \
832           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitypes_la_sci_gatewaydir)'"; \
833           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)" || exit $$?; \
834         done
835
836 uninstall-libscitypes_la_sci_gatewayDATA:
837         @$(NORMAL_UNINSTALL)
838         @list='$(libscitypes_la_sci_gateway_DATA)'; test -n "$(libscitypes_la_sci_gatewaydir)" || list=; \
839         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
840         test -n "$$files" || exit 0; \
841         echo " ( cd '$(DESTDIR)$(libscitypes_la_sci_gatewaydir)' && rm -f" $$files ")"; \
842         cd "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)" && rm -f $$files
843
844 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
845         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
846         unique=`for i in $$list; do \
847             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
848           done | \
849           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
850               END { if (nonempty) { for (i in files) print i; }; }'`; \
851         mkid -fID $$unique
852 tags: TAGS
853
854 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
855                 $(TAGS_FILES) $(LISP)
856         set x; \
857         here=`pwd`; \
858         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
859         unique=`for i in $$list; do \
860             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
861           done | \
862           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
863               END { if (nonempty) { for (i in files) print i; }; }'`; \
864         shift; \
865         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
866           test -n "$$unique" || unique=$$empty_fix; \
867           if test $$# -gt 0; then \
868             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
869               "$$@" $$unique; \
870           else \
871             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
872               $$unique; \
873           fi; \
874         fi
875 ctags: CTAGS
876 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
877                 $(TAGS_FILES) $(LISP)
878         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
879         unique=`for i in $$list; do \
880             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
881           done | \
882           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
883               END { if (nonempty) { for (i in files) print i; }; }'`; \
884         test -z "$(CTAGS_ARGS)$$unique" \
885           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
886              $$unique
887
888 GTAGS:
889         here=`$(am__cd) $(top_builddir) && pwd` \
890           && $(am__cd) $(top_srcdir) \
891           && gtags -i $(GTAGS_ARGS) "$$here"
892
893 distclean-tags:
894         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
895
896 distdir: $(DISTFILES)
897         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
898         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
899         list='$(DISTFILES)'; \
900           dist_files=`for file in $$list; do echo $$file; done | \
901           sed -e "s|^$$srcdirstrip/||;t" \
902               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
903         case $$dist_files in \
904           */*) $(MKDIR_P) `echo "$$dist_files" | \
905                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
906                            sort -u` ;; \
907         esac; \
908         for file in $$dist_files; do \
909           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
910           if test -d $$d/$$file; then \
911             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
912             if test -d "$(distdir)/$$file"; then \
913               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
914             fi; \
915             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
916               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
917               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
918             fi; \
919             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
920           else \
921             test -f "$(distdir)/$$file" \
922             || cp -p $$d/$$file "$(distdir)/$$file" \
923             || exit 1; \
924           fi; \
925         done
926 check-am: all-am
927         $(MAKE) $(AM_MAKEFLAGS) check-local
928 check: $(BUILT_SOURCES)
929         $(MAKE) $(AM_MAKEFLAGS) check-am
930 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
931 installdirs:
932         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscitypes_la_etcdir)" "$(DESTDIR)$(libscitypes_la_rootdir)" "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)"; do \
933           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
934         done
935 install: $(BUILT_SOURCES)
936         $(MAKE) $(AM_MAKEFLAGS) install-am
937 install-exec: install-exec-am
938 install-data: install-data-am
939 uninstall: uninstall-am
940
941 install-am: all-am
942         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
943
944 installcheck: installcheck-am
945 install-strip:
946         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
947           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
948           `test -z '$(STRIP)' || \
949             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
950 mostlyclean-generic:
951
952 clean-generic:
953
954 distclean-generic:
955         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
956         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
957
958 maintainer-clean-generic:
959         @echo "This command is intended for maintainers to use"
960         @echo "it deletes files that may require special tools to rebuild."
961         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
962 clean: clean-am
963
964 clean-am: clean-generic clean-libtool clean-local \
965         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
966
967 distclean: distclean-am
968         -rm -rf ./$(DEPDIR)
969         -rm -f Makefile
970 distclean-am: clean-am distclean-compile distclean-generic \
971         distclean-local distclean-tags
972
973 dvi: dvi-am
974
975 dvi-am:
976
977 html: html-am
978
979 html-am:
980
981 info: info-am
982
983 info-am:
984
985 install-data-am: install-data-local install-libscitypes_la_etcDATA \
986         install-libscitypes_la_rootDATA \
987         install-libscitypes_la_sci_gatewayDATA
988
989 install-dvi: install-dvi-am
990
991 install-dvi-am:
992
993 install-exec-am: install-pkglibLTLIBRARIES
994
995 install-html: install-html-am
996
997 install-html-am: install-html-local
998
999 install-info: install-info-am
1000
1001 install-info-am:
1002
1003 install-man:
1004
1005 install-pdf: install-pdf-am
1006
1007 install-pdf-am:
1008
1009 install-ps: install-ps-am
1010
1011 install-ps-am:
1012
1013 installcheck-am:
1014
1015 maintainer-clean: maintainer-clean-am
1016         -rm -rf ./$(DEPDIR)
1017         -rm -f Makefile
1018 maintainer-clean-am: distclean-am maintainer-clean-generic
1019
1020 mostlyclean: mostlyclean-am
1021
1022 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1023         mostlyclean-libtool
1024
1025 pdf: pdf-am
1026
1027 pdf-am:
1028
1029 ps: ps-am
1030
1031 ps-am:
1032
1033 uninstall-am: uninstall-libscitypes_la_etcDATA \
1034         uninstall-libscitypes_la_rootDATA \
1035         uninstall-libscitypes_la_sci_gatewayDATA \
1036         uninstall-pkglibLTLIBRARIES
1037
1038 .MAKE: all check check-am install install-am install-strip
1039
1040 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1041         clean clean-generic clean-libtool clean-local \
1042         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1043         distclean distclean-compile distclean-generic \
1044         distclean-libtool distclean-local distclean-tags distdir dvi \
1045         dvi-am html html-am info info-am install install-am \
1046         install-data install-data-am install-data-local install-dvi \
1047         install-dvi-am install-exec install-exec-am install-html \
1048         install-html-am install-html-local install-info \
1049         install-info-am install-libscitypes_la_etcDATA \
1050         install-libscitypes_la_rootDATA \
1051         install-libscitypes_la_sci_gatewayDATA install-man install-pdf \
1052         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1053         install-ps-am install-strip installcheck installcheck-am \
1054         installdirs maintainer-clean maintainer-clean-generic \
1055         mostlyclean mostlyclean-compile mostlyclean-generic \
1056         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1057         uninstall-am uninstall-libscitypes_la_etcDATA \
1058         uninstall-libscitypes_la_rootDATA \
1059         uninstall-libscitypes_la_sci_gatewayDATA \
1060         uninstall-pkglibLTLIBRARIES
1061
1062
1063 # This target enables tests for Scilab
1064 check-local: $(top_builddir)/scilab-bin test
1065         @COMMAND="test_run('$(modulename)');quit";\
1066         export LANG=C;\
1067         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1068 check-code:
1069         if test -f build.xml; then \
1070                 $(ANT) checkstyle; \
1071         fi
1072         if test -x "$(SPLINT)"; then \
1073                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1074         fi
1075 @NEED_JAVA_TRUE@java:
1076 # Some configurations needs to export JAVA_HOME in the current env
1077 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1078 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1079 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1080 @NEED_JAVA_TRUE@                $(ANT); \
1081 @NEED_JAVA_TRUE@        fi
1082
1083 @NEED_JAVA_TRUE@clean-java:
1084 # Some configurations needs to export JAVA_HOME in the current env
1085 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1086 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1087 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1088 @NEED_JAVA_TRUE@                $(ANT) clean; \
1089 @NEED_JAVA_TRUE@        fi;
1090
1091 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1092 # We call the target swig-build on the variable SWIG_WRAPPERS
1093
1094 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1095 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1096 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1097 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1098 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1099 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1100 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1101 @SWIG_TRUE@             done; \
1102 @SWIG_TRUE@     fi
1103
1104 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1105 # We call the target swig-build on the variable SWIG_WRAPPERS
1106
1107 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1108 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1109 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1110 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1111 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1112 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1113 @GIWS_TRUE@             done; \
1114 @GIWS_TRUE@     fi
1115
1116 @GIWS_TRUE@giws-exception:
1117 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1118 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1119 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1120
1121 macros:
1122         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1123                 echo "Error : Cannot build $< : Scilab has not been built"; \
1124         else \
1125                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1126         fi)
1127
1128 # Removes the macros
1129 clean-macros:
1130 # Removes macros (*.bin generated from .sci)
1131         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1132                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1133                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1134         done
1135
1136 test:
1137 # More tests could be added here
1138         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1139         if test -f build.xml -a $$USEANT -eq 1; then \
1140                 $(ANT) test; \
1141         fi
1142
1143 all-local: $(TARGETS_ALL)
1144
1145 .sci.bin:
1146         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1147         echo "Error : Cannot build $< : Scilab has not been build"; \
1148         else \
1149         echo "Creating $@"; \
1150         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1151         fi )
1152
1153 install-html-local:
1154
1155 install-data-local-local:
1156 # Mainly for javasci
1157         @if test -d $(srcdir)/javadoc; then \
1158                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1159         fi
1160 # If the user wants the help sources to be installed
1161 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1162 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1163 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1164 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1165 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1166 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1167 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1168 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1169 @INSTALL_HELP_XML_TRUE@           done ; \
1170 @INSTALL_HELP_XML_TRUE@         fi; \
1171 @INSTALL_HELP_XML_TRUE@  fi; \
1172 @INSTALL_HELP_XML_TRUE@ done; \
1173 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1174 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1175 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1176 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1177 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1178 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1179 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1180 @INSTALL_HELP_XML_TRUE@           done ; \
1181 @INSTALL_HELP_XML_TRUE@         fi; \
1182 @INSTALL_HELP_XML_TRUE@ fi
1183 install-data-local:
1184 # Install the tests
1185         @echo "-------- Install tests (if any) --------"; \
1186         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1187           if test -d $(srcdir)/$$dir/; then \
1188             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1189                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1190                     if test -d "$(srcdir)/$$dir/$$file"; then \
1191                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1192                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1193                     else \
1194                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1195                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1196                     fi \
1197                   done; \
1198           fi; \
1199         done
1200 # Install the help chapter
1201         @echo "-------- Install the help chapter (if any) --------"; \
1202         for lang in $(HELP_CHAPTERLANG); do \
1203                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1204                 if test -f $$HELPFILE; then \
1205                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1206                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1207                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1208                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1209                 fi; \
1210         done
1211 # Install the demos & examples
1212         @echo "-------- Install demos & examples (if any) --------"; \
1213         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1214           if test -d $(srcdir)/$$dir/; then \
1215             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1216                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1217                     if test -d "$(srcdir)/$$dir/$$file"; then \
1218                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1219                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1220                     else \
1221                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1222                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1223                     fi \
1224                   done; \
1225           fi; \
1226         done
1227 # Install the macros
1228         @echo "-------- Install macros (if any) --------"; \
1229         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1230           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1231                 if test -d $(srcdir)/$$dir/; then \
1232                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1233                         if test -n "$(MACROSSPECIALEXT)"; then \
1234                                 specialExtDir=""; \
1235                                 for specialExt in $(MACROSSPECIALEXT); do \
1236                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1237                                 done; \
1238                                 FILELIST="$$FILELIST $$specialExtDir"; \
1239                         fi; \
1240                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1241                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1242                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1243                   done; \
1244                 fi; \
1245         done
1246 # Install java files (.jar)
1247         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1248         echo "-------- Install jar files --------"; \
1249     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1250           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1251                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1252                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1253           done ; \
1254         fi
1255
1256 ########### CLEAN ###################
1257 # Clean help (generated automatically by Scilab)
1258 # It used to clean the macro (clean-macros) but this was causing
1259 # make clean && make to fail Scilab startup
1260 @NEED_JAVA_TRUE@clean-local: clean-java
1261 @NEED_JAVA_FALSE@clean-local:
1262
1263 distclean-local:
1264         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1265
1266 .PHONY: macros java swig giws
1267
1268 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1269 # Otherwise a system limit (for SysV at least) may be exceeded.
1270 .NOEXPORT: